Description
Redirect Acnet requests to a virtual data source.

There are times we might like to "disable" an Acnet device without obsoleting it or removing it from the system. ACNETDeflector
returns an immediate value without making a call to or referencing an actual ADC channel. Setting the device ID field in the SSDN to
0xFF will convert the device to a pseudo or virtual device. The values available to be returned by the pseudo device are set by the
misc field. The ramp and sine wave functions are currently disabled.

Function SSDN Field Value
virtual device identifier device ID OxFF
return 0 misc 0x0
return 1 misc 0x1
return 2 misc 0x2
return -1 misc 0x3
return ramp misc 0x4
return sine wave misc 0x5
return 0 all others

Software added:

e ACNETDeflector.hpp
¢ ACNETDeflector.cpp

Software modified:

e ACNETInterface.h
e ACNETInterface.cpp

Compiled and tested okay.

Effort remaining:

¢ Implement command line accessors to set and get ramp and sine wave.

e Enable ramp and sine wave.

History

#1 - 03/12/2016 07:29 PM - Roger Tokarek

- Subject changed from Add Pseudo Channel For Acnet Access to Add Acnet Access Virtual Data

- Status changed from New to Assigned
- % Done changed from 90 to 80
- Estimated time changed from 8.00 h to 10.00 h

Successful back up to git origin master.

#2 - 03/12/2016 07:30 PM - Roger Tokarek

- Subject changed from Add Acnet Access Virtual Data to Add Acnet Access to Virtual Data

10/21/2020

1/2




#3 - 03/12/2016 07:34 PM - Roger Tokarek
Successful tests with s60tor devices: SSDN Device ID OxFF

e Z:TR703L, misc 0
e Z:TR875L, misc 1
e Z:TRS60L, misc 2
See D150 MIRR p9.
#4 - 08/03/2016 10:43 AM - Roger Tokarek

- Status changed from Assigned to Closed

10/21/2020
